lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "monese_csv_downloader/version"

Gem::Specification.new do |spec|
  spec.name          = "monese_csv_downloader"
  spec.version       = MoneseCsvDownloader::VERSION
  spec.authors       = ["Paul Kuruvilla"]
  spec.email         = ["rohitpaulk@gmail.com"]

  spec.summary       = "Download CSV account statements from Monese"
  spec.description   = "Uses chrome-webdriver to download account statements from the Monese web interface"
  spec.homepage      = "https://github.com/rohitpaulk/monese_csv_downloader"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  spec.metadata["allowed_push_host"] = "https://rubygems.org/"
  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/rohitpaulk/monese_csv_downloader"
  spec.metadata["changelog_uri"] = "https://github.com/rohitpaulk/monese_csv_downloader/blob/master/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"

  spec.add_runtime_dependency "thor", "~> 1.1"
  spec.add_runtime_dependency "watir", "~> 6.19"
  spec.add_runtime_dependency "webdrivers", "~> 4.5.0"
end
